/*
 * Dayona
 * Created on Fri May 27 2022
 * email : dayonaart@gmail.com
 * Copyright (c) 2022
 */

import 'package:device_platform_info/device_platform_info_method_channel.dart';
import 'device_platform_info_platform_interface.dart';

class DevicePlatformInfo {
  /// This method will return
  /// - Public IP device
  /// - Device model or brand
  /// - Device OS version
  /// - Your App version code
  /// - Your App build code
  Future<DevicesInfoModel?> getDeviceInfo() {
    return DevicePlatformInfoPlatform.instance.getDeviceInfo();
  }

  /// This method will return
  /// - Your device Public IP
  Future<String?> getPublicIp() {
    return DevicePlatformInfoPlatform.instance.getPublicIp();
  }
}
